#!$$SHELL$$
# abomination module:rvs:get
name='rvs commit'
ver='0.6.3'
usage='[OPTIONS] ID [FILENAME]'
# Copyright (C) 2009 Luke Shumaker
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# Originally written by Luke Shumaker <lukeshu@sbcglobal.net>.

source "$RVSDIR/lib/stdio"
source "$RVSDIR/lib/rvsdb"

# get ID [FILE]
id="$1"

if [ $# -gt 1 ]; then
	file="$2"
fi

tmp=`tempfile`
rvs get.f "$id" "$tmp"
type=`logread "$tmp" 'type'`
if [ $# -gt 1 ]; then
	file="$2"
else
	file=`logread "$tmp" 'name'`
fi

rvs "get.$type" "$id" "$file"

