#!$$SHELL$$
# abomination module:rvs:get:d
name='rvs get.d'
ver='0.6.0'
usage='[OPTIONS] ID FILENAME'
# Copyright (C) 2009 Luke Shumaker
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# Originally written by Luke Shumaker <lukeshu@sbcglobal.net>.

source "`rvs -d`/lib/stdio"
source "`rvs -d`/lib/rvsdb"

# get.d ID DIRNAME
id="$1"
dir="$2"

tmp=`tempfile`
rvs get.f `logread "$db" 'hash'` "$tmp"

mkdir "$dir"
while read line; do
	hash=`echo "$line" | sed 's/^.*://'`
	name=`echo "$line" | sed "s/:$hash$//"`
	rvs get "$dir/$file"
done < "$tmp"

rm "$tmp"

